# rpmdb/legacy.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

int | dodigest (int digestalgo, const char *fn, unsigned char *digest, int asAscii, size_t *fsizep)
| Return digest and size of a file.
int | domd5 (const char *fn, unsigned char *digest, int asAscii, size_t *fsizep)
| Return MD5 digest and size of a file.

## Variables

int | _noDirTokens

## Detailed Description

Definition in file legacy.h.

## Function Documentation

int dodigest | ( | int | digestalgo,
|  | const char * | fn,
|  | unsigned char * | digest,
|  | int | asAscii,
|  | size_t * | fsizep |
| ) |  |  |

Return digest and size of a file.

Parameters:

  | digestalgo | digest algorithm to use
  | fn | file name

Return values:

  | digest | address of md5sum

Parameters:

  | asAscii | return md5sum as ascii string?

Return values:

  | *fsizep | file size pointer (or NULL)

Returns:
  0 on success, 1 on error

Definition at line 152 of file legacy.c.

References _free(), Fclose(), fdDup(), fdFiniDigest(), fdInitDigest(), Ferror(), Fopen(), Fread(), open_dso(), RPMDIGEST_NONE, rpmDigestFinal(), rpmDigestInit(), rpmDigestUpdate(), URL_IS_DASH, URL_IS_FTP, URL_IS_HKP, URL_IS_HTTP, URL_IS_HTTPS, URL_IS_PATH, URL_IS_UNKNOWN, and urlPath().

Referenced by domd5(), genCpioListAndHeader(), handleOverlappedFiles(), rpmAddSignature(), rpmfiDecideFate(), and rpmVerifyFile().

int domd5 | ( | const char * | fn,
|  | unsigned char * | digest,
|  | int | asAscii,
|  | size_t * | fsizep |
| ) |  |  |

Return MD5 digest and size of a file.

Parameters:

  | fn | file name

Return values:

  | digest | address of md5sum

Parameters:

  | asAscii | return md5sum as ascii string?

Return values:

  | *fsizep | file size pointer (or NULL)

Returns:
  0 on success, 1 on error

Definition at line 257 of file legacy.c.

References dodigest(), and PGPHASHALGO_MD5.

## Variable Documentation

int _noDirTokens